@use "@/theme/base.scss";

.announceView {
  margin: 0;
  max-width: var(--page-width);
}

.announceHeader {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: var(--spacing);

  h2 {
    border: 0;
    margin-top: calc(0.5 * var(--spacing));
  }
}

.hero {
  width: auto;
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin: calc(-1 * var(--block-spacing-vertical)) calc(-1 * var(--block-spacing-horizontal));
  margin-bottom: var(--spacing);
  overflow: hidden;
  transition: 200ms max-height;
  background-color: var(--contrast-inverse);

  > img {
    contain: content;
    object-fit: cover;
    object-position: top;
  }
}

.toolbarItem {
  width: initial !important;
  color: var(--contrast-inverse);
  background-color: var(--contrast);
}
